import { html as n } from "lit";
import { property as c } from "lit/decorators.js";
import { PieIconComponent as h } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var v = Object.defineProperty, m = Object.getOwnPropertyDescriptor, p = (a, t, o, r) => {
  for (var e = r > 1 ? void 0 : r ? m(t, o) : t, i = a.length - 1, l; i >= 0; i--)
    (l = a[i]) && (e = (r ? l(t, o, e) : l(e)) || e);
  return r && e && v(t, o, e), e;
};
let s = class extends h {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--kebab", this.class = "c-pieIcon c-pieIcon--kebab", this.name = "IconKebab";
  }
  render() {
    return n`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--kebab"><path d="M13.25 2.531V1.22H2.75V2.53h4.594v1.313H5.97A1.97 1.97 0 0 0 4.01 6.03l.586 5.25a1.96 1.96 0 0 0 1.952 1.75h.796v1.094h1.312v-1.094h.797a1.96 1.96 0 0 0 1.95-1.75l.587-5.25a1.97 1.97 0 0 0-1.96-2.187H8.656V2.53zm-3.22 2.625a.656.656 0 0 1 .656.727l-.061.638-1.82-.332v1.338l1.662.298-.175 1.593-1.487-.272v1.33l1.348.245-.053.412a.656.656 0 0 1-.647.586H6.548a.657.657 0 0 1-.648-.586L5.716 9.47l1.479-.42V7.685l-1.628.464-.253-2.266a.656.656 0 0 1 .656-.727z"></path></svg>`;
  }
};
p([
  c({ type: String, reflect: !0 })
], s.prototype, "size", 2);
p([
  c({ type: String, reflect: !0 })
], s.prototype, "class", 2);
s = p([
  f("icon-kebab")
], s);
export {
  s as IconKebab
};
